<div class="form-group form-group-sm form-inline ng-scope">
    <label class="control-label col-sm-3" id="lb-{{passwordId}}" for="it-{{passwordId}}">{{ 'password' | translate }}:</label>
    <div class="d-flex col-sm-3">
        <input type="password" id="it-{{passwordId}}" class="form-control col-sm-3" size="15" value="" ng-model="password" ng-change="sanitize(password)">
        <div class="d-flex col-sm-3">
            <img class="icon icon-eye" title="{{ 'hide_password' | translate }}" ng-click="togglePasswordVisibility()" ng-show="passwordIsVisible">
            <img class="icon icon-hide" title="{{ 'reveal_password' | translate }}" ng-click="togglePasswordVisibility()" ng-show="!passwordIsVisible">
            <img class="icon icon-reset" title="{{ 'generate_password' | translate }}" ng-click="genPass()">
        </div>
    </div>
    <div class="pwd-policy-suggestion col-sm-3">
        <div class="d-flex" ng-if="!passwordPolicyValid()">
            <img class="circle-invalid">
            <p>{{ 'policy_invalid_1' | translate }} {{ policyLevel | translate }}</p>
        </div>
        <div class="d-flex" ng-if="passwordPolicyValid()">
            <img class="circle-valid">
            <p>{{ 'policy_valid' | translate }}</p>
        </div>
        <div class="d-flex">{{ 'password_restrictions' | translate }}</div>
    </div>
</div>

<input name="{{name}}" value="{{password}}" class="form-control it-mblur hidden-angular-input">